package fr.tdd;

import static org.hamcrest.CoreMatchers.is;
import static org.junit.Assert.assertThat;

import org.junit.BeforeClass;
import org.junit.Test;

public class RomanNumeralTest {

	private static RomanNumeral romanNumeral;
	
	@BeforeClass
	public static void setUpBeforeClass() {
		romanNumeral = new RomanNumeral();
	}

	@Test
	public void testIntToRoman_1_is_I() {
		assertThat(romanNumeral.intToRoman(1), is("I"));
	}
	
	@Test
	public void testIntToRoman_2_is_II() {
		assertThat(romanNumeral.intToRoman(2), is("II"));
	}
	
	@Test
	public void testInToRoman_3_is_III() {
		assertThat(romanNumeral.intToRoman(3), is("III"));
	}
	
	@Test
	public void testInToRoman_10_is_X() {
		assertThat(romanNumeral.intToRoman(10), is("X"));
	}
	
	@Test
	public void testInToRoman_20_is_XX() {
		assertThat(romanNumeral.intToRoman(20), is("XX"));
	}
	
	@Test
	public void testInToRoman_30_is_XX() {
		assertThat(romanNumeral.intToRoman(30), is("XXX"));
	}
	
	@Test
	public void testInToRoman_11_is_XI() {
		assertThat(romanNumeral.intToRoman(11), is("XI"));
	}	
	
	@Test
	public void testInToRoman_33_is_XXXIII() {
		assertThat(romanNumeral.intToRoman(33), is("XXXIII"));
	}
	
	@Test
	public void testInToRoman_5_is_V() {
		assertThat(romanNumeral.intToRoman(5), is("V"));
	}
	
	@Test
	public void testInToRoman_4_is_IV() {
		assertThat(romanNumeral.intToRoman(4), is("IV"));
	}
	
	@Test
	public void testInToRoman_9_is_IX() {
		assertThat(romanNumeral.intToRoman(9), is("IX"));
	}
	
	@Test
	public void testInToRoman_1903_is_MCMIII() {
		assertThat(romanNumeral.intToRoman(1903), is("MCMIII"));
	}
	
	@Test
	public void testInToRoman_1910_is_MCMX() {
		assertThat(romanNumeral.intToRoman(1910), is("MCMX"));
	}
	
	@Test
	public void testInToRoman_1944_is_MCMXLIV() {
		assertThat(romanNumeral.intToRoman(1944), is("MCMXLIV"));
	}
	
	@Test
	public void testInToRoman_1954_is_MCMLIV() {
		assertThat(romanNumeral.intToRoman(1954), is("MCMLIV"));
	}
	
	@Test
	public void testInToRoman_1990_is_MCMXC() {
		assertThat(romanNumeral.intToRoman(1990), is("MCMXC"));
	}
	
	@Test
	public void testInToRoman_1999_is_MCMXCIX() {
		assertThat(romanNumeral.intToRoman(1999), is("MCMXCIX"));
	}
	
	@Test
	public void testInToRoman_2499_is_MMCDXCIX() {
		assertThat(romanNumeral.intToRoman(2499), is("MMCDXCIX"));
	}
	
	@Test
	public void testInToRoman_3949_is_MMMCMXLIX() {
		assertThat(romanNumeral.intToRoman(3949), is("MMMCMXLIX"));
	}
	
	

}
